## robocode
Class _Robot

    java.lang.Object
      robocode._Robot

Direct Known Subclasses:
  Robot

public class _Robot
extends Object

This class is used by the system, as well as being a placeholder for all all deprecated (meaning, you should not use them) calls.

You should create a `Robot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

See Also:
  `Robot`

Method Summary
`int` `getBattleNum()` Deprecated. use getRoundNum instead.
`double` `getGunCharge()` Deprecated. use getGunHeat()
`String` `getGunImageName()` Deprecated. This call is not used.
`double` `getLife()` Deprecated. Use getEnergy()
`int` `getNumBattles()` Deprecated. use getNumRounds() instead
`String` `getRadarImageName()` Deprecated. This call is not used.
`String` `getRobotImageName()` Deprecated. This call is not used.
`void` `setGunImageName(String newGunImageName)` Deprecated. This call is not used.
`void` `setInterruptible(boolean interruptible)` Deprecated. This call has moved to AdvancedRobot, and will no longer function in the Robot class.
`void` `setPeer(robocode.peer.RobotPeer peer)` This method is called by the game.
`void` `setRadarImageName(String newRadarImageName)` Deprecated. This call is not used.
`void` `setRobotImageName(String newRobotImageName)` Deprecated. This call is not used.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setPeer

    public final void setPeer(robocode.peer.RobotPeer peer)

  This method is called by the game. RobotPeer is the object that deals with game mechanics and rules, and makes sure your robot abides by them. Do not call this method... your robot will simply stop interacting with the game.

### getGunCharge

    public double getGunCharge()

  Deprecated. use getGunHeat()

### getLife

    public double getLife()

  Deprecated. Use getEnergy()

### getNumBattles

    public int getNumBattles()

  Deprecated. use getNumRounds() instead

### getBattleNum

    public int getBattleNum()

  Deprecated. use getRoundNum instead.

### setInterruptible

    public void setInterruptible(boolean interruptible)

  Deprecated. This call has moved to AdvancedRobot, and will no longer function in the Robot class.

### getGunImageName

    public String getGunImageName()

  Deprecated. This call is not used.

### setGunImageName

    public void setGunImageName(String newGunImageName)

  Deprecated. This call is not used.

### setRadarImageName

    public void setRadarImageName(String newRadarImageName)

  Deprecated. This call is not used.

### setRobotImageName

    public void setRobotImageName(String newRobotImageName)

  Deprecated. This call is not used.

### getRadarImageName

    public String getRadarImageName()

  Deprecated. This call is not used.

### getRobotImageName

    public String getRobotImageName()

  Deprecated. This call is not used.